Package org.apache.nutch.service.model.response

## Class JobInfo

- java.lang.Object
- - org.apache.nutch.service.model.response.JobInfo

-     public class JobInfo
      extends Object

  This is the response object containing Job information

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JobInfo.State` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobInfo​(String generateId, JobConfig jobConfig, JobInfo.State state, String msg)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​Object>` | `getArgs()` |
    `String` | `getConfId()` |
    `String` | `getCrawlId()` |
    `String` | `getId()` |
    `String` | `getMsg()` |
    `Map<String,​Object>` | `getResult()` |
    `JobInfo.State` | `getState()` |
    `JobManager.JobType` | `getType()` |
    `void` | `setArgs​(Map<String,​Object> args)` |
    `void` | `setConfId​(String confId)` |
    `void` | `setCrawlId​(String crawlId)` |
    `void` | `setId​(String id)` |
    `void` | `setMsg​(String msg)` |
    `void` | `setResult​(Map<String,​Object> result)` |
    `void` | `setState​(JobInfo.State state)` |
    `void` | `setType​(JobManager.JobType type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobInfo

          public JobInfo​(String generateId,
                         JobConfig jobConfig,
                         JobInfo.State state,
                         String msg)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### getType

          public JobManager.JobType getType()

    - #### setType

          public void setType​(JobManager.JobType type)

    - #### getConfId

          public String getConfId()

    - #### setConfId

          public void setConfId​(String confId)

    - #### getArgs

          public Map<String,​Object> getArgs()

    - #### setArgs

          public void setArgs​(Map<String,​Object> args)

    - #### getResult

          public Map<String,​Object> getResult()

    - #### setResult

          public void setResult​(Map<String,​Object> result)

    - #### getState

          public JobInfo.State getState()

    - #### setState

          public void setState​(JobInfo.State state)

    - #### getMsg

          public String getMsg()

    - #### setMsg

          public void setMsg​(String msg)

    - #### getCrawlId

          public String getCrawlId()

    - #### setCrawlId

          public void setCrawlId​(String crawlId)